package DeWeave::BO::Tab;
use Moose;
use namespace::autoclean;
use MooseX::Types::Moose qw(ArrayRef Str Int Undef);
use MooseX::Types::Structured qw(Dict Optional);

extends 'DeWeave::EDO';

has clientName => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has tabs => (
    isa => ArrayRef[Dict[
        title => Undef|Str,
        urlHistory => ArrayRef[Str],
        icon => Undef|Str,
        lastUsed => Int,
    ]],
    required => 1,
    is => 'ro',
);

1;

__END__

=head1 AUTHOR

Gianni Ceccarelli <dakkar@thenautilus.net>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2012 by Gianni Ceccarelli.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, version 3.

=cut
