package DeWeave::EDO;
use Moose;
use namespace::autoclean;
use MooseX::Types::Moose qw(Int Str Num Bool);

extends 'DeWeave::WBO';

has ciphertext => (
    traits => ['WBOInternal'],
    isa => Str,
    required => 1,
    is => 'ro',
);

has IV => (
    traits => ['WBOInternal'],
    isa => Str,
    required => 1,
    is => 'ro',
);

has hmac => (
    traits => ['WBOInternal'],
    isa => Str,
    required => 1,
    is => 'ro',
);

has deleted => (
    isa => Bool,
    required => 0,
    is => 'ro',
);

1;

__END__

=head1 AUTHOR

Gianni Ceccarelli <dakkar@thenautilus.net>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2012 by Gianni Ceccarelli.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, version 3.

=cut
